# FoundationClasses
TKernel
TColStd

# TColStd_ListOfReal Class Reference

`#include <TColStd_ListOfReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_ListOfReal ()
Standard_EXPORT void | Assign (const TColStd_ListOfReal &Other)
void | operator= (const TColStd_ListOfReal &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~TColStd_ListOfReal ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Standard_Real &I)
Standard_EXPORT void | Prepend (const Standard_Real &I, TColStd_ListIteratorOfListOfReal &theIt)
Standard_EXPORT void | Prepend (TColStd_ListOfReal &Other)
Standard_EXPORT void | Append (const Standard_Real &I)
Standard_EXPORT void | Append (const Standard_Real &I, TColStd_ListIteratorOfListOfReal &theIt)
Standard_EXPORT void | Append (TColStd_ListOfReal &Other)
Standard_EXPORT Standard_Real & | First () const
Standard_EXPORT Standard_Real & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (TColStd_ListIteratorOfListOfReal &It)
Standard_EXPORT void | InsertBefore (const Standard_Real &I, TColStd_ListIteratorOfListOfReal &It)
Standard_EXPORT void | InsertBefore (TColStd_ListOfReal &Other, TColStd_ListIteratorOfListOfReal &It)
Standard_EXPORT void | InsertAfter (const Standard_Real &I, TColStd_ListIteratorOfListOfReal &It)
Standard_EXPORT void | InsertAfter (TColStd_ListOfReal &Other, TColStd_ListIteratorOfListOfReal &It)

## Private Member Functions

Standard_EXPORT | TColStd_ListOfReal (const TColStd_ListOfReal &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_ListOfReal::TColStd_ListOfReal | ( |  | ) |

TColStd_ListOfReal::~TColStd_ListOfReal | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_ListOfReal::TColStd_ListOfReal | ( | const TColStd_ListOfReal & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TColStd_ListOfReal::Append | ( | TColStd_ListOfReal & | Other | ) |

Standard_EXPORT void TColStd_ListOfReal::Append | ( | const Standard_Real & | I,
|  | TColStd_ListIteratorOfListOfReal & | theIt
| ) |

Standard_EXPORT void TColStd_ListOfReal::Append | ( | const Standard_Real & | I | ) |

Standard_EXPORT void TColStd_ListOfReal::Assign | ( | const TColStd_ListOfReal & | Other | ) |

Standard_EXPORT void TColStd_ListOfReal::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer TColStd_ListOfReal::Extent | ( |  | ) | const

Standard_EXPORT Standard_Real& TColStd_ListOfReal::First | ( |  | ) | const

Standard_EXPORT void TColStd_ListOfReal::InsertAfter | ( | TColStd_ListOfReal & | Other,
|  | TColStd_ListIteratorOfListOfReal & | It
| ) |

Standard_EXPORT void TColStd_ListOfReal::InsertAfter | ( | const Standard_Real & | I,
|  | TColStd_ListIteratorOfListOfReal & | It
| ) |

Standard_EXPORT void TColStd_ListOfReal::InsertBefore | ( | TColStd_ListOfReal & | Other,
|  | TColStd_ListIteratorOfListOfReal & | It
| ) |

Standard_EXPORT void TColStd_ListOfReal::InsertBefore | ( | const Standard_Real & | I,
|  | TColStd_ListIteratorOfListOfReal & | It
| ) |

Standard_Boolean TColStd_ListOfReal::IsEmpty | ( |  | ) | const

Standard_EXPORT Standard_Real& TColStd_ListOfReal::Last | ( |  | ) | const

void TColStd_ListOfReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_ListOfReal::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_ListOfReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void TColStd_ListOfReal::operator= | ( | const TColStd_ListOfReal & | Other | ) | `[inline]`

Standard_EXPORT void TColStd_ListOfReal::Prepend | ( | TColStd_ListOfReal & | Other | ) |

Standard_EXPORT void TColStd_ListOfReal::Prepend | ( | const Standard_Real & | I,
|  | TColStd_ListIteratorOfListOfReal & | theIt
| ) |

Standard_EXPORT void TColStd_ListOfReal::Prepend | ( | const Standard_Real & | I | ) |

Standard_EXPORT void TColStd_ListOfReal::Remove | ( | TColStd_ListIteratorOfListOfReal & | It | ) |

Standard_EXPORT void TColStd_ListOfReal::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address TColStd_ListOfReal::myFirst `[private]`

Standard_Address TColStd_ListOfReal::myLast `[private]`

The documentation for this class was generated from the following file:

- TColStd_ListOfReal.hxx